local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFirePlayer = ____shouldFire.shouldFirePlayer
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPEffectUpdateReordered = __TS__Class()
local PostPEffectUpdateReordered = ____exports.PostPEffectUpdateReordered
PostPEffectUpdateReordered.name = "PostPEffectUpdateReordered"
__TS__ClassExtends(PostPEffectUpdateReordered, CustomCallback)
function PostPEffectUpdateReordered.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFirePlayer
    self.featuresUsed = {ISCFeature.PLAYER_REORDERED_CALLBACKS}
end
return ____exports
